## org.gnu.gtk
Class CellRendererText

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.CellRenderer
                      org.gnu.gtk.CellRendererText

Direct Known Subclasses:
  CellRendererCombo

public class CellRendererText
extends CellRenderer

A `CellRenderer` for displaying Strings.

See the `TreeView` description for an overview fo the tree and list objects.

Gtk provides many properties for this renderer. Not all of them have been implemented in the Java-Gnome system (they're not all useful). If you have requirements for one of them which isn't implemented, please contact us and we may add support for it.

Nested Class Summary
`static class` `CellRendererText.Attribute` Attributes which may be used to connect to data in a `TreeModel` via methods in the `TreeViewColumn` object.

Constructor Summary
`CellRendererText()` Constructs a new text renderer
`CellRendererText(org.gnu.glib.Handle handle)`

Method Summary
`void` `addListener(CellRendererTextListener listener)` Register an object to handle CellRendererText events.
`static CellRendererText` `getCellRendererText(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`FontDescription` `getFont()` Returns the font being used.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `removeListener(CellRendererTextListener listener)` Removes a listener
`void` `setAttributes(AttrList attr)` Sets the pango attributes for the renderer.
`void` `setEditable(boolean editable)` Sets whether the user may edit the text.
`void` `setFont(FontDescription font)` Sets the font to use.
`void` `setUnderline(Underline underline)` Sets the underline of all cells

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellRendererText

    public CellRendererText()

  Constructs a new text renderer

### CellRendererText

    public CellRendererText(org.gnu.glib.Handle handle)

Method Detail

### getCellRendererText

    public static CellRendererText getCellRendererText(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### setAttributes

    public void setAttributes(AttrList attr)

  Sets the pango attributes for the renderer.

  Parameters:
    `attr` - PangoAttributeList to use.

### setFont

    public void setFont(FontDescription font)

  Sets the font to use.

### getFont

    public FontDescription getFont()

  Returns the font being used.

### setEditable

    public void setEditable(boolean editable)

  Sets whether the user may edit the text.

### setUnderline

    public void setUnderline(Underline underline)

  Sets the underline of all cells

### addListener

    public void addListener(CellRendererTextListener listener)

  Register an object to handle CellRendererText events.

  See Also:
    `CellRendererTextListener`

### removeListener

    public void removeListener(CellRendererTextListener listener)

  Removes a listener

  See Also:
    `addListener(CellRendererTextListener)`

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `GObject`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `GObject`

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.